Update jaunty, karmic and lucid to landscape-client 1.5.0

Bug #557244 reported by Free Ekanayaka on 2010-04-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Unassigned
landscape-client (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Landscape Client 1.5.0 has been released. We would like to get these
changes into Lucid, Karmic and Jaunty.

As far as released version of Ubuntu are concerned, the required pieces
of information for the needed SRU follow (as laid out in the "Procedure"
section of https://wiki.ubuntu.com/StableReleaseUpdates).

=== Statement explaining the impact ===

This is a bug-fix release and no new features have been introduced with
respect to the versions of Landscape Client that are currently in
Jaunty, Karmic and Lucid. We would like to make sure all of our
supported customers (even those on Jaunty and Karmic) have access to
these improvements. The notable ones are:

1) Fixes to the Eucalyptus plugin, which is now fully supported on the
   server web UI too.

2) The release upgrade activity result message now includes full logs
   from update-manager.

3) The package changer will be spawned only when the smart-update
   wrapper has been run at least once, instead of failing if no package
   data is available yet.

For more details see Bug #542215, Bug #554007, Bug #351927, Bug #503384
and Bug #522688 (all mentioned in the debian/changelog of the proposed
packages).

=== How the bug has been addressed ===

We have been following the development procedure laid out in https://wiki.ubuntu.com/LandscapeUpdates

=== Patches ===

The two branches for the new landscape-client jaunty and karmic source packages are attached to this bug, and are were derived from

lp:ubuntu/jaunty-updates/landscape-client
lp:ubuntu/karmic-updates/landscape-client

respectively.

=== Detailed instructions how to reproduce the bug ===

N/A

=== Discussion ===

All the source packages have been subject to the QA process detailed in
the LandscapeUpdates document linked above.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.0-0ubuntu0.10.04.0

---------------
landscape-client (1.5.0-0ubuntu0.10.04.0) lucid; urgency=low

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522688)
 -- Free Ekanayaka <email address hidden> Wed, 07 Apr 2010 16:27:45 +0200

Changed in landscape-client (Ubuntu):
status: New → Fix Released
tags: added: testing
tags: removed: testing
tags: added: needs-testing
tags: removed: needs-testing

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Free Ekanayaka (free.ekanayaka) wrote :

The packages in -proposed behave correctly, please migrate them to -updates.

Martin Pitt (pitti) on 2010-05-18
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.0.1-0ubuntu0.9.04.0

---------------
landscape-client (1.5.0.1-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522668)
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 12:31:28 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.0.1-0ubuntu0.9.10.0

---------------
landscape-client (1.5.0.1-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522668)
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 12:31:28 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in landscape-client:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers